{
  "getAllPSPanelFields" : [ {
    "id" : "filename",
    "viewFieldName" : "FILENAME"
  }, {
    "id" : "type",
    "viewFieldName" : "TYPE"
  } ],
  "codeName" : "Usr1207074317",
  "controlType" : "PANEL",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE/PSPANELS/Usr1207074317.json",
  "layoutMode" : "Flex",
  "logicName" : "文件树节点",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
  },
  "getPSLayout" : {
    "layout" : "FLEX"
  },
  "getRootPSPanelItems" : [ {
    "caption" : "容器",
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "container2",
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getPSLayoutPos" : {
      "grow" : -1,
      "layout" : "FLEX"
    },
    "getPSPanelItems" : [ {
      "caption" : "图片",
      "contentHeight" : 50.0,
      "contentType" : "IMAGE",
      "contentWidth" : 50.0,
      "height" : 50.0,
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_image",
      "getPSLayoutPos" : {
        "grow" : -1,
        "height" : 50,
        "heightMode" : "PX",
        "layout" : "FLEX",
        "width" : 50,
        "widthMode" : "PX"
      },
      "getPSRawItem" : {
        "contentType" : "IMAGE",
        "name" : "static_image",
        "getPSSysImage" : {
          "glyph" : "xf07b@FontAwesome",
          "cssClass" : "fa fa-folder"
        },
        "predefinedType" : "STATIC_IMAGE",
        "rawItemHeight" : 50.0,
        "rawItemWidth" : 50.0
      },
      "getPSSysImage" : {
        "glyph" : "xf07b@FontAwesome",
        "cssClass" : "fa fa-folder"
      },
      "rawItemHeight" : 50.0,
      "rawItemWidth" : 50.0,
      "width" : 50.0,
      "showCaption" : true
    }, {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "filename",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "filename",
        "predefinedType" : "FIELD_TEXT_DYNAMIC",
        "renderMode" : "TEXT_DYNAMIC",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "FILENAME",
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "type",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "type",
        "predefinedType" : "FIELD_TEXT_DYNAMIC",
        "renderMode" : "TEXT_DYNAMIC",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "TYPE",
      "hidden" : false,
      "showCaption" : false
    } ]
  } ],
  "layoutPanel" : true,
  "modelid" : "DD79A689-6DAB-4B08-A523-E744EE4F5A84",
  "modeltype" : "PSSYSVIEWPANEL"
}